
%global parent plexus
%global subname maven-plugin

%global maven_settings_file %{_builddir}/%{name}/settings.xml

Name:           %{parent}-%{subname}
Version:        1.3.8
Release:        3%{?dist}
Epoch:          0
Summary:        Plexus Maven plugin
License:        MIT
Group:          Development/Java
URL:            http://plexus.codehaus.org/

# svn export \
#   http://svn.codehaus.org/plexus/archive/plexus-maven-plugin/tags/plexus-maven-plugin-1.3.8
# tar czf plexus-maven-plugin-1.3.8-src.tar.xz plexus-maven-plugin-1.3.8
Source0:        %{name}-%{version}-src.tar.xz

Patch0:         %{name}-add-deps.patch
Patch1:         %{name}-doxia.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  jpackage-utils >= 0:1.7.2
BuildRequires:  maven2
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven2-common-poms >= 1.0
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  plexus-appserver >= 1.0-0.a5.3
BuildRequires:  plexus-cdc >= 1.0-0.8.a14
BuildRequires:  plexus-container-default
BuildRequires:  plexus-runtime-builder >= 1.0-0.a9.2

Requires:       maven2
Requires:       maven2-common-poms >= 1.0
Requires:       plexus-appserver >= 1.0-0.a5.3
Requires:       plexus-cdc >= 1.0-0.8.a14
Requires:       plexus-container-default
Requires:       plexus-runtime-builder >= 1.0-0.a9.2
Requires:       maven-shared-reporting-impl

Requires(post):    jpackage-utils >= 0:1.7.2
Requires(postun):  jpackage-utils >= 0:1.7.2

%description
Plexus Maven Plugin helps create plexus component descriptions
from within Maven.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
        -e \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/plexus
install -pm 644 target/*.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{parent}/%{subname}-%{version}.jar
%add_to_maven_depmap org.codehaus.plexus %{name} 1.2 JPP/%{parent} %{subname}
(cd $RPM_BUILD_ROOT%{_javadir}/%{parent} && for jar in *-%{version}*; \
  do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 pom.xml \
        $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{parent}-%{subname}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

cp -pr target/site/apidocs/* \
        $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/plexus
%{_mavenpomdir}/*pom
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/*

%changelog
* Wed Jul 21 2010 Alexander Kurtakov <akurtako@redhat.com> 0:1.3.8-3
- Add missing requires.

* Thu Jul  8 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:1.3.8-2
- Add doxia patch
- Change dist archive to xz compression
- Fix maven directories ownership

* Wed Jun 23 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:1.3.8-1
- Rebase to new upstream version
- Update BRs to new maven plugins

* Sun Sep 13 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.3.5-1.3
- BR maven-doxia-sitetools.
- BR maven-surefire-provider-junit.

* Sun Sep 13 2009 Alexander Kurtakov <akurtako@redhat.com> 0:1.3.5-1.2
- Really require plexus-cdc.

* Thu Aug 20 2009 Andrew Overholt <overholt@redhat.com> 0:1.3.5-1.1
- Update to 1.3.5 (courtesy Ralph Apel and Deepak Bhole)
- Remove gcj support

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2-4.7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 Deepak Bhole <dbhole@redhat.com> 1.2-3.7
- Adjust tomcat requirements

* Mon Mar 23 2009 Deepak Bhole <dbhole@redhat.com> - 0:1.2-3.6
- Fix cdc requirement version
- Added tomcat BR

* Mon Mar 23 2009 Deepak Bhole <dbhole@redhat.com> - 0:1.2-3.5
- Build on ppc64

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:1.2-3.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.2-2.4
- drop repotag

* Thu Feb 28 2008 Deepak Bhole <dbhole@redhat.com> 1.2-2jpp.3
- Rebuild

* Fri Sep 21 2007 Deepak Bhole <dbhole@redhat.com> 0:1.2-2jpp.2
- ExcludeArch ppc64

* Fri Feb 23 2007 Tania Bento <tbento@redhat.com> 0:1.2-2jpp.1
- Fixed %%Release.
- Fixed %%BuildRoot.
- Removed %%Vendor.
- Removed %%Distribution.
- Removed %%post and %%postun sections for javadoc.
- Fixed %%License to correct license.
- Edited instructions on how to generate source drop.
- Edited %%description.
- Added gcj support option.

* Tue Oct 17 2006 Deepak Bhole <dbhole@redhat.com> 1.2-2jpp
- Update for maven2 9jpp.

* Mon Jun 12 2006 Deepak Bhole <dbhole@redhat.com> - 0:1.2-1jpp
- Initial build
